#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Third-party modules
from flask import Blueprint
from flask_restx import Api, reqparse

# Custom modules
from .blocks import api as blocks_api
from .camera import api as camera_api
from .dome import api as dome_api
from .environment import api as environment_api
from .telescope import api as telescope_api
from .templates import api as templates_api
from .testfulvio import api as testfulvio_api
from .webcam import api as webcam_api

api_blueprint = Blueprint('api', __name__)

api = Api(api_blueprint,
          title='OARPAF APIs for observatory control',
          version='1.0',
          description=['A description']
          )

api.add_namespace(blocks_api)
api.add_namespace(camera_api)
api.add_namespace(dome_api)
api.add_namespace(environment_api)
api.add_namespace(telescope_api)
api.add_namespace(templates_api)
api.add_namespace(testfulvio_api)
api.add_namespace(webcam_api)
